Bug 88343 - huge sort dialog spans dual screens
Summary: huge sort dialog spans dual screens
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Multimonitor
  Show dependency treegraph
 
Reported: 2015-01-12 22:31 UTC by kees
Modified: 2016-11-25 12:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
screenshot of sort dialog (201.25 KB, image/png)
2015-01-12 22:31 UTC, kees
Details
screenshot of sort dialog (201.25 KB, image/png)
2015-01-12 22:33 UTC, kees
Details
second sort dialog screenshot (227.90 KB, image/png)
2015-01-12 23:04 UTC, kees
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kees 2015-01-12 22:31:27 UTC
Created attachment 112145 [details]
screenshot of sort dialog

It looks like the sort dialog box width is based on the total width of my dual screen setup, which is huge. See attached screenshot.

This has been happening on all stable versions I have tried since roughly 4.2 and also rc 4.4.0.2

It may be related to https://bugs.freedesktop.org/show_bug.cgi?id=60764
Comment 1 kees 2015-01-12 22:33:15 UTC
Created attachment 112146 [details]
screenshot of sort dialog
Comment 2 kees 2015-01-12 23:04:00 UTC
OK I now found out that the sort dialog does not follow the dual screen width but the max length of the header row texts, see second sort dialog screenshot.

Also note that the Ascending/Descending option is pushed out of sight and can not be used anymore.

Also note that the dialog uses a font that can not render the locale (thai) correctly. But that is a separate issue I guess.
Comment 3 kees 2015-01-12 23:04:44 UTC
Created attachment 112147 [details]
second sort dialog screenshot
Comment 4 Adolfo Jayme 2015-01-13 04:39:49 UTC
Thank you for your bug report.
Comment 5 QA Administrators 2016-09-20 09:36:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920